<template>
  <v-card class="writing-bottom-navigation" flat>
    <v-bottom-nav fixed @input="selectedItem" :active="active" :value="active" color="white">
      <v-btn
        :disabled="!hasActive(item)"
        color="indigo"
        v-for="(item, index) in bottomIcons"
        :key="index"
        @mousedown="selectedItem(item.type)"
        flat
        :value="item.type"
      >
        <span>{{item.description}}</span>
        <v-icon>{{item.icon}}</v-icon>
      </v-btn>
    </v-bottom-nav>
  </v-card>
</template>

<script>
import bottomIcons from '../../../Mocks/BottomItens';

export default {
  props: {
    active: {
      type: String,
      default: 'text',
    },
    allTypes: {
      type: Array,
      default: () => ['text', 'audio', 'image', 'video'],
    },
  },
  data() {
    return {
      bottomNav: 'recent',
      bottomIcons,
    };
  },
  methods: {
    selectedItem(item) {
      this.$emit('selected', item);
    },
    hasActive(item) {
      return this.allTypes.some(it => it === item.type);
    },
  },
};
</script>

<style lang="sass">

  .writing-bottom-navigation
    width: 100%

</style>
